import type { Node as PMNode } from '@atlaskit/editor-prosemirror/model';
import type { EditorView } from '@atlaskit/editor-prosemirror/view';
export declare class NodeAnchorProvider {
    private cache;
    private count;
    private existingPos;
    private limitedMode;
    private emptyDoc;
    constructor(limitedMode?: boolean, emptyDoc?: boolean);
    isEmptyDoc(): boolean;
    setEmptyDoc(isEmpty: boolean): void;
    isLimitedMode(): boolean;
    getOrGenerateId(node: PMNode, pos: number): string | undefined;
    getIdForNode(node: PMNode): string | undefined;
    setIdForNode(node: PMNode, id: string): void;
    setLimitedMode(): void;
}
export declare const getNodeIdProvider: (editorView: EditorView) => NodeAnchorProvider;
